// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// made by blueversal


EntityEvents.spawned('cataclysm:tidal_tentacle', event => {
  event.cancel()
});

ItemEvents.rightClicked(event => {
  if (event.item.id == 'celestisynth:aquaflora') {
    event.server.scheduleInTicks(1, () => {
      event.player.addItemCooldown('celestisynth:aquaflora', 350)
    })
  }
});

ItemEvents.rightClicked(event => {
  if (event.item.id == 'alexscaves:ortholance') {
    event.server.scheduleInTicks(1, () => {
      event.player.addItemCooldown('alexscaves:ortholance', 60)
    })
  }
});

ItemEvents.rightClicked(event => {
  if (event.item.id == 'voidscape:ethereal_fruit_end') {
    event.server.scheduleInTicks(1, () => {
      event.player.addItemCooldown('voidscape:ethereal_fruit_end', 1000)
    })
  }
});

ServerEvents.recipes(event => {
  event.remove({ id: 'ender_dragon_loot:dragon_paxel_creation' })
    event.shaped('ender_dragon_loot:dragon_paxel', [
      'APS',
      'BCB',
      'BCB'
    ],
    {
      A: 'ender_dragon_loot:dragon_axe',
      P: 'ender_dragon_loot:dragon_pickaxe',
      S: 'ender_dragon_loot:dragon_shovel',
      C: 'ender_dragon_loot:dragon_shard',
      B: 'minecraft:enchanted_book'
    }
  ).result(Item.of('ender_dragon_loot:dragon_paxel', '{Damage:0}').enchant('minecraft:efficiency', 5).enchant('minecraft:sharpness', 5).enchant('minecraft:fortune', 3).enchant('minecraft:looting', 3))
})